# \Thelia\Model\BaseProductPriceQuery

Base class that represents a query for the 'product_price' table.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByProductSaleElementsId()
filterByCurrencyId()
filterByPrice()
filterByPromoPrice()
filterByCreatedAt()
filterByUpdatedAt()
filterByProductSaleElements()
joinProductSaleElements()
useProductSaleElementsQuery()
filterByCurrency()
joinCurrency()
useCurrencyQuery()
prune()
doDeleteAll()
delete()
recentlyUpdated()
recentlyCreated()
lastUpdatedFirst()
firstUpdatedFirst()
lastCreatedFirst()
firstCreatedFirst()
orderById()
orderByProductSaleElementsId()
orderByCurrencyId()
orderByPrice()
orderByPromoPrice()
orderByCreatedAt()
orderByUpdatedAt()
groupById()
groupByProductSaleElementsId()
groupByCurrencyId()
groupByPrice()
groupByPromoPrice()
groupByCreatedAt()
groupByUpdatedAt()
leftJoin()
rightJoin()
innerJoin()
leftJoinProductSaleElements()
rightJoinProductSaleElements()
innerJoinProductSaleElements()
leftJoinCurrency()
rightJoinCurrency()
innerJoinCurrency()
findOne()
findOneOrCreate()
findOneById()
findOneByProductSaleElementsId()
findOneByCurrencyId()
findOneByPrice()
findOneByPromoPrice()
findOneByCreatedAt()
findOneByUpdatedAt()
findById()
findByProductSaleElementsId()
findByCurrencyId()
findByPrice()
findByPromoPrice()
findByCreatedAt()
findByUpdatedAt()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A
abstract

File
  Model/Base/ProductPriceQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\ProductPriceQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\ProductPriceQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\ProductPriceQuery

Returns a new ChildProductPriceQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\ProductPriceQuery

#

static

## Tags

None found

### findPk()

    findPk(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\ProductPrice|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(12, $con);`

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\ProductPrice|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(12, 56, 832), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\ProductPriceQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\ProductPriceQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\ProductPriceQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\ProductPriceQuery —

The current query, for fluid interface

#

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\ProductPriceQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductPriceQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByProductSaleElementsId()

    filterByProductSaleElementsId(mixed $productSaleElementsId, string $comparison) : \Thelia\Model\ProductPriceQuery

Filter the query on the product_sale_elements_id column

Example usage: `$query->filterByProductSaleElementsId(1234); // WHERE product_sale_elements_id = 1234 $query->filterByProductSaleElementsId(array(12, 34)); // WHERE product_sale_elements_id IN (12, 34) $query->filterByProductSaleElementsId(array('min' => 12)); // WHERE product_sale_elements_id > 12`

#### Parameters

mixed | $productSaleElementsId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductPriceQuery —

The current query, for fluid interface

#

See also

## Tags

None found

### filterByCurrencyId()

    filterByCurrencyId(mixed $currencyId, string $comparison) : \Thelia\Model\ProductPriceQuery

Filter the query on the currency_id column

Example usage: `$query->filterByCurrencyId(1234); // WHERE currency_id = 1234 $query->filterByCurrencyId(array(12, 34)); // WHERE currency_id IN (12, 34) $query->filterByCurrencyId(array('min' => 12)); // WHERE currency_id > 12`

#### Parameters

mixed | $currencyId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductPriceQuery —

The current query, for fluid interface

#

See also

## Tags

None found

### filterByPrice()

    filterByPrice(mixed $price, string $comparison) : \Thelia\Model\ProductPriceQuery

Filter the query on the price column

Example usage: `$query->filterByPrice(1234); // WHERE price = 1234 $query->filterByPrice(array(12, 34)); // WHERE price IN (12, 34) $query->filterByPrice(array('min' => 12)); // WHERE price > 12`

#### Parameters

mixed | $price | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductPriceQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPromoPrice()

    filterByPromoPrice(mixed $promoPrice, string $comparison) : \Thelia\Model\ProductPriceQuery

Filter the query on the promo_price column

Example usage: `$query->filterByPromoPrice(1234); // WHERE promo_price = 1234 $query->filterByPromoPrice(array(12, 34)); // WHERE promo_price IN (12, 34) $query->filterByPromoPrice(array('min' => 12)); // WHERE promo_price > 12`

#### Parameters

mixed | $promoPrice | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductPriceQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\ProductPriceQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductPriceQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\ProductPriceQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductPriceQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByProductSaleElements()

    filterByProductSaleElements(\Thelia\Model\ProductSaleElements|\Propel\Runtime\Collection\ObjectCollection $productSaleElements, string $comparison) : \Thelia\Model\ProductPriceQuery

Filter the query by a related \Thelia\Model\ProductSaleElements object

#### Parameters

\Thelia\Model\ProductSaleElements|\Propel\Runtime\Collection\ObjectCollection | $productSaleElements | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductPriceQuery —

The current query, for fluid interface

#

## Tags

None found

### joinProductSaleElements()

    joinProductSaleElements(string $relationAlias, string $joinType) : \Thelia\Model\ProductPriceQuery

Adds a JOIN clause to the query using the ProductSaleElements relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductPriceQuery —

The current query, for fluid interface

#

## Tags

None found

### useProductSaleElementsQuery()

    useProductSaleElementsQuery(string $relationAlias, string $joinType) : \Thelia\Model\ProductSaleElementsQuery

Use the ProductSaleElements relation ProductSaleElements object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductSaleElementsQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByCurrency()

    filterByCurrency(\Thelia\Model\Currency|\Propel\Runtime\Collection\ObjectCollection $currency, string $comparison) : \Thelia\Model\ProductPriceQuery

Filter the query by a related \Thelia\Model\Currency object

#### Parameters

\Thelia\Model\Currency|\Propel\Runtime\Collection\ObjectCollection | $currency | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductPriceQuery —

The current query, for fluid interface

#

## Tags

None found

### joinCurrency()

    joinCurrency(string $relationAlias, string $joinType) : \Thelia\Model\ProductPriceQuery

Adds a JOIN clause to the query using the Currency relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductPriceQuery —

The current query, for fluid interface

#

## Tags

None found

### useCurrencyQuery()

    useCurrencyQuery(string $relationAlias, string $joinType) : \Thelia\Model\CurrencyQuery

Use the Currency relation Currency object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CurrencyQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### prune()

    prune(\Thelia\Model\ProductPrice $productPrice) : \Thelia\Model\ProductPriceQuery

Exclude object from result

#### Parameters

\Thelia\Model\ProductPrice | $productPrice | Object to remove from the list of results

#### Returns

\Thelia\Model\ProductPriceQuery —

The current query, for fluid interface

#

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the product_price table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildProductPrice or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

## Tags

None found

### recentlyUpdated()

    recentlyUpdated(int $nbDays) : \Thelia\Model\ProductPriceQuery

Filter by the latest updated

#### Parameters

int | $nbDays | Maximum age of the latest update in days

#### Returns

\Thelia\Model\ProductPriceQuery —

The current query, for fluid interface

#

## Tags

None found

### recentlyCreated()

    recentlyCreated(int $nbDays) : \Thelia\Model\ProductPriceQuery

Filter by the latest created

#### Parameters

int | $nbDays | Maximum age of in days

#### Returns

\Thelia\Model\ProductPriceQuery —

The current query, for fluid interface

#

## Tags

None found

### lastUpdatedFirst()

    lastUpdatedFirst() : \Thelia\Model\ProductPriceQuery

Order by update date desc

#### Returns

\Thelia\Model\ProductPriceQuery —

The current query, for fluid interface

#

## Tags

None found

### firstUpdatedFirst()

    firstUpdatedFirst() : \Thelia\Model\ProductPriceQuery

Order by update date asc

#### Returns

\Thelia\Model\ProductPriceQuery —

The current query, for fluid interface

#

## Tags

None found

### lastCreatedFirst()

    lastCreatedFirst() : \Thelia\Model\ProductPriceQuery

Order by create date desc

#### Returns

\Thelia\Model\ProductPriceQuery —

The current query, for fluid interface

#

## Tags

None found

### firstCreatedFirst()

    firstCreatedFirst() : \Thelia\Model\ProductPriceQuery

Order by create date asc

#### Returns

\Thelia\Model\ProductPriceQuery —

The current query, for fluid interface

#

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\ProductPriceQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductPriceQuery

#

## Tags

None found

### orderByProductSaleElementsId()

    orderByProductSaleElementsId($order =) : \Thelia\Model\ProductPriceQuery

Order by the product_sale_elements_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductPriceQuery

#

## Tags

None found

### orderByCurrencyId()

    orderByCurrencyId($order =) : \Thelia\Model\ProductPriceQuery

Order by the currency_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductPriceQuery

#

## Tags

None found

### orderByPrice()

    orderByPrice($order =) : \Thelia\Model\ProductPriceQuery

Order by the price column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductPriceQuery

#

## Tags

None found

### orderByPromoPrice()

    orderByPromoPrice($order =) : \Thelia\Model\ProductPriceQuery

Order by the promo_price column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductPriceQuery

#

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\ProductPriceQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductPriceQuery

#

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\ProductPriceQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductPriceQuery

#

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\ProductPriceQuery

Group by the id column

#### Returns

\Thelia\Model\ProductPriceQuery

#

## Tags

None found

### groupByProductSaleElementsId()

    groupByProductSaleElementsId() : \Thelia\Model\ProductPriceQuery

Group by the product_sale_elements_id column

#### Returns

\Thelia\Model\ProductPriceQuery

#

## Tags

None found

### groupByCurrencyId()

    groupByCurrencyId() : \Thelia\Model\ProductPriceQuery

Group by the currency_id column

#### Returns

\Thelia\Model\ProductPriceQuery

#

## Tags

None found

### groupByPrice()

    groupByPrice() : \Thelia\Model\ProductPriceQuery

Group by the price column

#### Returns

\Thelia\Model\ProductPriceQuery

#

## Tags

None found

### groupByPromoPrice()

    groupByPromoPrice() : \Thelia\Model\ProductPriceQuery

Group by the promo_price column

#### Returns

\Thelia\Model\ProductPriceQuery

#

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\ProductPriceQuery

Group by the created_at column

#### Returns

\Thelia\Model\ProductPriceQuery

#

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\ProductPriceQuery

Group by the updated_at column

#### Returns

\Thelia\Model\ProductPriceQuery

#

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\ProductPriceQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\ProductPriceQuery

#

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\ProductPriceQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\ProductPriceQuery

#

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\ProductPriceQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\ProductPriceQuery

#

## Tags

None found

### leftJoinProductSaleElements()

    leftJoinProductSaleElements($relationAlias =) : \Thelia\Model\ProductPriceQuery

Adds a LEFT JOIN clause to the query using the ProductSaleElements relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductPriceQuery

#

## Tags

None found

### rightJoinProductSaleElements()

    rightJoinProductSaleElements($relationAlias =) : \Thelia\Model\ProductPriceQuery

Adds a RIGHT JOIN clause to the query using the ProductSaleElements relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductPriceQuery

#

## Tags

None found

### innerJoinProductSaleElements()

    innerJoinProductSaleElements($relationAlias =) : \Thelia\Model\ProductPriceQuery

Adds a INNER JOIN clause to the query using the ProductSaleElements relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductPriceQuery

#

## Tags

None found

### leftJoinCurrency()

    leftJoinCurrency($relationAlias =) : \Thelia\Model\ProductPriceQuery

Adds a LEFT JOIN clause to the query using the Currency relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductPriceQuery

#

## Tags

None found

### rightJoinCurrency()

    rightJoinCurrency($relationAlias =) : \Thelia\Model\ProductPriceQuery

Adds a RIGHT JOIN clause to the query using the Currency relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductPriceQuery

#

## Tags

None found

### innerJoinCurrency()

    innerJoinCurrency($relationAlias =) : \Thelia\Model\ProductPriceQuery

Adds a INNER JOIN clause to the query using the Currency relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductPriceQuery

#

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\ProductPrice

Return the first ChildProductPrice matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\ProductPrice

#

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\ProductPrice

Return the first ChildProductPrice matching the query, or a new ChildProductPrice object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\ProductPrice

#

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\ProductPrice

Return the first ChildProductPrice filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\ProductPrice

#

## Tags

None found

### findOneByProductSaleElementsId()

    findOneByProductSaleElementsId(int $product_sale_elements_id) : \Thelia\Model\ProductPrice

Return the first ChildProductPrice filtered by the product_sale_elements_id column

#### Parameters

int | $product_sale_elements_id |

#### Returns

\Thelia\Model\ProductPrice

#

## Tags

None found

### findOneByCurrencyId()

    findOneByCurrencyId(int $currency_id) : \Thelia\Model\ProductPrice

Return the first ChildProductPrice filtered by the currency_id column

#### Parameters

int | $currency_id |

#### Returns

\Thelia\Model\ProductPrice

#

## Tags

None found

### findOneByPrice()

    findOneByPrice(double $price) : \Thelia\Model\ProductPrice

Return the first ChildProductPrice filtered by the price column

#### Parameters

double | $price |

#### Returns

\Thelia\Model\ProductPrice

#

## Tags

None found

### findOneByPromoPrice()

    findOneByPromoPrice(double $promo_price) : \Thelia\Model\ProductPrice

Return the first ChildProductPrice filtered by the promo_price column

#### Parameters

double | $promo_price |

#### Returns

\Thelia\Model\ProductPrice

#

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\ProductPrice

Return the first ChildProductPrice filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\ProductPrice

#

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\ProductPrice

Return the first ChildProductPrice filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\ProductPrice

#

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildProductPrice objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

## Tags

None found

### findByProductSaleElementsId()

    findByProductSaleElementsId(int $product_sale_elements_id) : array

Return ChildProductPrice objects filtered by the product_sale_elements_id column

#### Parameters

int | $product_sale_elements_id |

#### Returns

array

#

## Tags

None found

### findByCurrencyId()

    findByCurrencyId(int $currency_id) : array

Return ChildProductPrice objects filtered by the currency_id column

#### Parameters

int | $currency_id |

#### Returns

array

#

## Tags

None found

### findByPrice()

    findByPrice(double $price) : array

Return ChildProductPrice objects filtered by the price column

#### Parameters

double | $price |

#### Returns

array

#

## Tags

None found

### findByPromoPrice()

    findByPromoPrice(double $promo_price) : array

Return ChildProductPrice objects filtered by the promo_price column

#### Parameters

double | $promo_price |

#### Returns

array

#

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildProductPrice objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildProductPrice objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\ProductPrice

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\ProductPrice —

A model object, or null if the key is not found

#

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\ProductPrice|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\ProductPrice|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### ProductPriceQuery.php